class UserRole implements Serializable {

	User user
	Role role

	static mapping = {
		//table 'user_roles'
		version false
		id composite: ['user', 'role']
	}

	static UserRole create(User user, Role role, boolean flush = false) {
		UserRole userRole = new UserRole(user: user, role: role)
		userRole.save(flush: flush, insert: true)
		return userRole
	}

	static boolean remove(User user, Role role, boolean flush = false) {
		UserRole userRole = UserRole.findByUserAndAuthority(user, role)
		return userRole ? userRole.delete(flush: flush) : false
	}

	static void removeAll(User user) {
		executeUpdate("DELETE FROM UserRole WHERE user=:user", [user: user])
	}
}
